package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.SeeOrder;


/**
*  service接口类
*/
public interface SeeOrderService{

    List<SeeOrder> getSeeOrderList(SeeOrder record);

    List<SeeOrder> getSeeOrderByPage(Page page, SeeOrder record);

    SeeOrder getSeeOrderById(String id);

    SeeOrder getSeeOrder(SeeOrder record);

    boolean createSeeOrder(SeeOrder record);

    boolean deleteSeeOrder(String id);

    boolean updateSeeOrder(SeeOrder record);
}

